package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * 
 * @author:Teguh
 */

public class BakuMutuVO extends BaseMasterVO {
	

	@Column(name = "KdBakuMutu", nullable = true)
	@Caption(value = "Kode Baku Mutu")
	private String kdBakuMutu;
	
	@Column(name = "namaBakuMutu", nullable = true)
	@Caption(value = "nama baku Mutu")
	private String namaBakuMutu;
	
	@ManyToOne
	@JoinColumn(name = "ObjectSatuanStandar")
	@Caption(value = "Object Satuan Standar")
	private SatuanStandarVO satuanStandar;
	
	@ManyToOne
	@JoinColumn(name = "ObjectJenisBakuMutu")
	@Caption(value = "Object Jenis Baku Mutu")
	private JenisBakuMutuVO jenisBakuMutu;
	
	@Column(name = "KadarMaksimum", nullable = true)
	@Caption(value = "Kadar Maksimum")
	private Double kadarMaksimum;

	@ManyToOne
	@JoinColumn(name = "ObjectBakuMutu")
	@Caption(value = "Object Jenis Baku Mutu")
	private BakuMutuVO bakuMutu;

	public String getKdBakuMutu() {
		return kdBakuMutu;
	}

	public void setKdBakuMutu(String kdBakuMutu) {
		this.kdBakuMutu = kdBakuMutu;
	}

	public String getNamaBakuMutu() {
		return namaBakuMutu;
	}

	public void setNamaBakuMutu(String namaBakuMutu) {
		this.namaBakuMutu = namaBakuMutu;
	}

	public SatuanStandarVO getSatuanStandar() {
		return satuanStandar;
	}

	public void setSatuanStandar(SatuanStandarVO satuanStandar) {
		this.satuanStandar = satuanStandar;
	}

	public JenisBakuMutuVO getJenisBakuMutu() {
		return jenisBakuMutu;
	}

	public void setJenisBakuMutu(JenisBakuMutuVO jenisBakuMutu) {
		this.jenisBakuMutu = jenisBakuMutu;
	}

	public Double getKadarMaksimum() {
		return kadarMaksimum;
	}

	public void setKadarMaksimum(Double kadarMaksimum) {
		this.kadarMaksimum = kadarMaksimum;
	}

	public BakuMutuVO getBakuMutu() {
		return bakuMutu;
	}

	public void setBakuMutu(BakuMutuVO bakuMutu) {
		this.bakuMutu = bakuMutu;
	}
	
	


}
